%define major 28
%define libname %mklibname HX %{major}
%define develname %mklibname HX -d

Name:           libHX
Version:        3.14
Release:        %mkrel 3
Summary:        A library for common data structures and low level operations
Group:          System/Libraries
License:        GPLv3+ and LGPLv2+
URL:            http://libhx.sourceforge.net/
Source0:        http://downloads.sourceforge.net/libhx/libHX-%{version}.tar.xz

%description
A library for:
- A+R/B trees to use for lists or maps (associative arrays)
- Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))
- platform independent opendir-style directory access
- platform independent dlopen-style shared library access
- auto-storage strings with direct access
- command line option (argv) parser
- shell-style config file parser
- platform independent random number generator with transparent
  /dev/urandom support
- various string, memory and zvec ops

%package -n %{libname}
Group: System/Libraries
Summary: General-purpose library
Obsoletes: %{name} < 1.17-2
Obsoletes: %{_lib}HX27 < %{version}

%description -n %{libname}
- A+R/B trees to use for lists or maps (associative arrays)
- Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))
- platform independent opendir-style directory access
- platform independent dlopen-style shared library access
- auto-storage strings with direct access
- command line option (argv) parser
- shell-style config file parser
- platform independent random number generator with transparent
  /dev/urandom support
- various string, memory and zvec ops

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete

install -m 644 doc/* %{buildroot}%{_docdir}/libhx

%files -n %{libname}
%{_libdir}/*.so.%{major}*
%{_libdir}/libHX_rtcheck.so

%files -n %{develname}
%{_includedir}/*
%{_libdir}/libHX.so
%{_libdir}/pkgconfig/libHX.pc
%{_docdir}/libhx


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.14-3.mga3
+ Revision: 356774
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 guillomovitch <guillomovitch> 3.14-2.mga3
+ Revision: 333874
- fix documentation location, and documentation directory ownership

* Thu Nov 15 2012 fwang <fwang> 3.14-1.mga3
+ Revision: 318066
- new version 3.14

* Sun Jul 29 2012 fwang <fwang> 3.13-1.mga3
+ Revision: 275695
- new version 3.13

* Fri Dec 16 2011 fwang <fwang> 3.12.1-2.mga2
+ Revision: 182412
- obsolete old lib package

* Fri Dec 16 2011 fwang <fwang> 3.12.1-1.mga2
+ Revision: 182407
- new version 3.12.1

* Sun Dec 04 2011 fwang <fwang> 3.12-1.mga2
+ Revision: 175842
- new version 3.12
- new version 3.11
- new version 3.10.1

* Thu Mar 24 2011 boklm <boklm> 3.9.1-2.mga1
+ Revision: 76173
- rebuild for bug #497

* Sat Mar 19 2011 boklm <boklm> 3.9.1-1.mga1
+ Revision: 74597
- version 3.9.1
- clean spec
- imported package libHX

